package com.ejie.ab04b.webservice.client.documentowebservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for definicionCab complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="definicionCab">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="tam" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="zona1" type="{http://com.ejie.aa19b.webservice}zona" minOccurs="0"/>
 *         &lt;element name="zona2" type="{http://com.ejie.aa19b.webservice}zona" minOccurs="0"/>
 *         &lt;element name="zona3" type="{http://com.ejie.aa19b.webservice}zona" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * @author GFI-NORTE
 * 
 */
@XmlAccessorType(value = XmlAccessType.FIELD)
@XmlType(namespace = "definicionCab", propOrder = { "tam", "zona1", "zona2",
		"zona3" })
public class DefinicionCab {

	private Integer tam;
	private Zona zona1;
	private Zona zona2;
	private Zona zona3;

	/**
	 * Instantiates a new definicion cab.
	 */
	public DefinicionCab() {
		super();
	}

	/**
	 * Instantiates a new definicion cab.
	 *
	 * @param zona1            Zona
	 * @param zona2            Zona
	 * @param zona3            Zona
	 * @param tam            Integer
	 */
	public DefinicionCab(Zona zona1, Zona zona2, Zona zona3, Integer tam) {
		super();
		this.tam = tam;
		this.zona1 = zona1;
		this.zona2 = zona2;
		this.zona3 = zona3;
	}

	/**
	 * Gets the value of the tam property.
	 * 
	 * @return possible object is {@link Integer }
	 * 
	 */
	public Integer getTam() {
		return tam;
	}

	/**
	 * Sets the value of the tam property.
	 * 
	 * @param value
	 *            allowed object is {@link Integer }
	 * 
	 */
	public void setTam(Integer value) {
		this.tam = value;
	}

	/**
	 * Gets the value of the zona1 property.
	 * 
	 * @return possible object is {@link Zona }
	 * 
	 */
	public Zona getZona1() {
		return zona1;
	}

	/**
	 * Sets the value of the zona1 property.
	 * 
	 * @param value
	 *            allowed object is {@link Zona }
	 * 
	 */
	public void setZona1(Zona value) {
		this.zona1 = value;
	}

	/**
	 * Gets the value of the zona2 property.
	 * 
	 * @return possible object is {@link Zona }
	 * 
	 */
	public Zona getZona2() {
		return zona2;
	}

	/**
	 * Sets the value of the zona2 property.
	 * 
	 * @param value
	 *            allowed object is {@link Zona }
	 * 
	 */
	public void setZona2(Zona value) {
		this.zona2 = value;
	}

	/**
	 * Gets the value of the zona3 property.
	 * 
	 * @return possible object is {@link Zona }
	 * 
	 */
	public Zona getZona3() {
		return zona3;
	}

	/**
	 * Sets the value of the zona3 property.
	 * 
	 * @param value
	 *            allowed object is {@link Zona }
	 * 
	 */
	public void setZona3(Zona value) {
		this.zona3 = value;
	}

}
